\name{MetaBox-package}
\alias{MetaBox-package}
\alias{MetaBox}
\docType{package}
\title{
MetaBox is a package used to identify metabolites present in data sets generated by GC-MS.
}
\description{
MetaBox makes use of a spectral library to identify and quantify metabolites analysed by GC-MS. MetaBox includes functions for removing the background noise of chromatograms and also to remove from GC-MS files the intensities of non-desired ion mass fragemnts. MetaBox also produces graphical outputs and generates results in a format amenable for further data processing and analysis.  
}
\details{
\tabular{ll}{
Package: \tab MetaBox\cr
Type: \tab Package\cr
Version: \tab 1.0.0\cr
Date: \tab 2014-04-07\cr
License: \tab GLP (>=2)\cr
}
MetaBox makes use of a spectral library to identify and quantify metabolites analysed by GC-MS. MetaBox includes functions for removing the background noise of chromatograms and also to remove from GC-MS files the intensities of non-desired ion mass fragemnts. MetaBox also produces graphical outputs and generates results in a format amenable for further data processing and analysis.  
}
\author{
Raphael Aggio

Maintainer: Raphael Aggio <raphael.aggio@gmail.com>
}
\references{
Aggio, R., Mayor, A., Reade, S., Probert, C.S.J, & Ruggiero, K. (2014). Identifying and quantifying metabolites by scoring peaks of GC-MS data. BMC Bioinformatics, doi:10.1186/s12859-014-0374-2. 
}
\keyword{ package }
\seealso{
\code{\link{buildLib}}, \code{\link{extract_ion}}, \code{\link{filterCDF}}, \code{\link{filterCDFBatch}},\code{\link{filterTotalReport}}, \code{\link{getGraphs}}, \code{\link{matchSpectra}}, \code{\link{matchSpectraFile}}, \code{\link{plotIons}}, \code{\link{findNoise}}
}
\examples{
	##### Load Sample ####
	data(exampleMatchSpectraInverted)
	print(exampleMatchSpectraInverted)	
}
